Skip to content

Create Training Config

Create a new training configuration for the target path. The authenticated user must have ADMIN permissions.

Parameters

name * are required parametersdata typedescription
body.name*stringThe display name of the training
body.descriptionstringA description of the training
body.fieldGroupsobject[]Field groups that define the training form structure
body.expiryDaysnumberNumber of days before the training expires
body.rolesstring[]Role IDs for which this training is required

Return Value

The created training config object.

Error Codes

  • 400 Bad Request: Returned when parameters are invalid.
  • 401 Unauthorized: Returned when permissions are insufficient.

Examples

bash
curl -X POST "https://app.wombat.software/api/{targetPath}/training" \
  -H "Content-Type: application/json" \
  -H "Authentication: Bearer ..." \
  -d '{"name": "Safety Orientation", "expiryDays": 365}'

ENDPOINTS

post/api/{targetPath}/training